default: devel

build: image
	podman run --name svelte-build \
		--rm \
        --userns=keep-id:uid=$$(id -u),gid=$$(id -g) \
		-v ../frontend:/home/svelte/frontend \
		-ti svelte /opt/svelte-build
image:
	podman build --build-arg UID=$$(id -u) --build-arg GID=$$(id -g) -t svelte .

devel: image
	-podman rm -f svelte
	podman run --name svelte \
        --userns=keep-id:uid=$$(id -u),gid=$$(id -g) \
		-v ../frontend:/home/svelte/frontend \
		-p 5173:5173 \
		-ti svelte /opt/svelte-init
